aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-list-utilsby/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-06-02 11:20:48 +0300
committerTimo Teräs <timo.teras@iki.fi>2011-06-02 11:48:26 +0300
commitb960377d1d2bdf81271f8c4de1779678b3aadb39 (patch)
treeaeb8c09444f1cead82b6dc98903949f017c47157 /testing/perl-list-utilsby/APKBUILD
parent44732d88136cc02f4edbd060f258ddcbc5566259 (diff)
downloadaports-b960377d1d2bdf81271f8c4de1779678b3aadb39.tar.gz
aports-b960377d1d2bdf81271f8c4de1779678b3aadb39.tar.bz2
aports-b960377d1d2bdf81271f8c4de1779678b3aadb39.tar.xz
testing/perl-list-utilsby: new apkbuild-cpan generated aport
higher-order list utility functions http://search.cpan.org/dist/List-UtilsBy/
Diffstat (limited to 'testing/perl-list-utilsby/APKBUILD')
-rw-r--r--testing/perl-list-utilsby/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-list-utilsby/APKBUILD b/testing/perl-list-utilsby/APKBUILD
new file mode 100644
index 0000000000..cde433b47d
--- /dev/null
+++ b/testing/perl-list-utilsby/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-list-utilsby
+_pkgreal=List-UtilsBy
+pkgver=0.07
+pkgrel=0
+pkgdesc="higher-order list utility functions"
+url="http://search.cpan.org/dist/List-UtilsBy/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="2c39a8a2021bdf63ee4a8d7e0b0829a4 List-UtilsBy-0.07.tar.gz"